begin transaction;
ALTER TABLE Customers ADD COLUMN is_author BOOLEAN default FALSE;
ALTER TABLE Books ADD CONSTRAINT author_id_fk FOREIGN KEY (author_id)  REFERENCES Customers(id) NOT VALID;
ALTER TABLE Books VALIDATE CONSTRAINT author_id_fk;
ALTER TABLE Customers DROP COLUMN balance;
ALTER TABLE Books DROP COLUMN author;
ALTER TABLE Books ALTER COLUMN rate SET default 0;
ALTER TABLE Books ALTER COLUMN description SET NOT NULL;
DROP TABLE Genres;
commit transaction;